Eclipse Platform Release 3.7

## org.eclipse.equinox.security.auth.credentials
Interface IPrivateCredential

    public interface IPrivateCredential

This interface describes private credentials added by the Equinox login modules.

This interface should not be extended by clients.

See Also:
  `Subject.getPrivateCredentials()`
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`void` `clear()` Clears private key from memory.
`PBEKeySpec` `getPrivateKey()` Returns private key stored in this credential
`String` `getProviderID()` ID of the provider of this private credential.

Method Detail

### getPrivateKey

    PBEKeySpec getPrivateKey()

  Returns private key stored in this credential

  Returns:
    private key

### getProviderID

    String getProviderID()

  ID of the provider of this private credential.

  Returns:
    provider ID

### clear

    void clear()

  Clears private key from memory.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.